import request from '@/utils/request'

// 查询VIP订单管理列表
export function listVipOrder(query) {
  return request({
    url: '/business/vipOrder/list',
    method: 'get',
    params: query
  })
}

// 查询VIP订单管理详细
export function getVipOrder(id) {
  return request({
    url: '/business/vipOrder/' + id,
    method: 'get'
  })
}

// 新增VIP订单管理
export function addVipOrder(data) {
  return request({
    url: '/business/vipOrder',
    method: 'post',
    data: data
  })
}

// 修改VIP订单管理
export function updateVipOrder(data) {
  return request({
    url: '/business/vipOrder',
    method: 'put',
    data: data
  })
}

// 删除VIP订单管理
export function delVipOrder(id) {
  return request({
    url: '/business/vipOrder/' + id,
    method: 'delete'
  })
}

// 导出VIP订单管理
export function exportVipOrder(query) {
  return request({
    url: '/business/vipOrder/export',
    method: 'get',
    params: query
  })
}